Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0047393
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2021-07-14 11:302021-09-13 09:47
Reporterferran_nicasiView Statuspublic 
Assigned Toprakashmurugesan88 
PriorityhighResolutionfixedFixed in VersionRR21Q4
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionRR20Q1SCM revision 
Review Assigned Toadrianromero
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0047393: Cancel & Replace has 2 issues

DescriptionWhen doing a C&R of an order with services and discounts attached.

1-The total quantity is changed automatically to a wrong number.
2-And when changing the quantity of the service, all discounts are lost.
Steps To Reproduce1 - Create a layaway with a product and service attached.
2 - Add discounts of different values to all the lines.
3 - Synchronize this layway.
4 - Open it again and do "Cancel and Replace". <- First issue
5 - Change quantity of the service to 2. <- Second issue


Video with steps taken: https://drive.google.com/file/d/1fJxqVrNeImPuWdq0JSzzXcRd7bUERBe-/view [^]
TagsNo tags attached.
Attached Filesdiff file icon I47394_DiscountDuplicateIssue20Q1.diff [^] (1,200 bytes) 2021-08-02 15:20 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 0047676RR21Q3.2 closedprakashmurugesan88 Retail Modules Cancel & Replace has 2 issues 
has duplicate defect 0047394 closedprakashmurugesan88 Retail Modules The translateManualPromotionsForEngine is not taking into account the amount difference while filling the manual promotions 
related to defect 0047483 closedRetail POS2 Cancel and Replace shows an error message and does not work 

-  Notes
(0130821)
hgbot (developer)
2021-07-28 08:33

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.discounts/-/merge_requests/32 [^]
(0130822)
hgbot (developer)
2021-07-28 08:33

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.discounts.bytotal/-/merge_requests/10 [^]
(0130823)
hgbot (developer)
2021-07-28 08:33

Merge Request created: https://gitlab.com/openbravo/ci/mobile-test/-/merge_requests/111 [^]
(0130869)
hgbot (developer)
2021-07-29 12:04

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.discounts/-/merge_requests/32 [^]
(0130870)
hgbot (developer)
2021-07-29 12:04

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.discounts [^]
Changeset: d73639eb3b1937d417630241547e0e3e88541e23
Author: Prakash M <prakash@qualiantech.com>
Date: 2021-07-28T06:53:41+05:30
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.discounts/-/commit/d73639eb3b1937d417630241547e0e3e88541e23 [^]

Fixed BUG-47393: Discounts getting removed on increasing qty in CancelAndReplace line
* Included manual promotions in discount engine

---
M web/org.openbravo.retail.discounts/app/model/business-logic/discounts-engine/interface/discount-posinterface.js
---
(0130871)
hgbot (developer)
2021-07-29 12:05

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.discounts.bytotal [^]
Changeset: 0d621605befe04c631d7abeed707e9a352b06302
Author: Prakash M <prakash@qualiantech.com>
Date: 2021-07-27T20:46:20+05:30
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.discounts.bytotal/-/commit/0d621605befe04c631d7abeed707e9a352b06302 [^]

Related to BUG-47393: Added flag to ByTotal Manual Promotions

---
M web/org.openbravo.retail.discounts.bytotal/app/model/business-logic/discounts-engine/engine/rules/manual-by-total-amount-discount.js
M web/org.openbravo.retail.discounts.bytotal/app/model/business-logic/discounts-engine/engine/rules/manual-by-total-percentage-discount.js
---
(0130872)
hgbot (developer)
2021-07-29 12:05

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.discounts.bytotal/-/merge_requests/10 [^]
(0130873)
hgbot (developer)
2021-07-29 12:05

Merge request merged: https://gitlab.com/openbravo/ci/mobile-test/-/merge_requests/111 [^]
(0130874)
hgbot (developer)
2021-07-29 12:05

Repository: https://gitlab.com/openbravo/ci/mobile-test [^]
Changeset: 041720659255377bdc2ea8fa2d6fae1e1f9e5c5b
Author: Prakash M <prakash@qualiantech.com>
Date: 2021-07-27T14:29:25+05:30
URL: https://gitlab.com/openbravo/ci/mobile-test/-/commit/041720659255377bdc2ea8fa2d6fae1e1f9e5c5b [^]

Related to BUG-47393: Added test to verify discounts after cancel and replace and add qty

---
A src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/discounts_bytotal/I47393_VerifyManualTotalDiscountsAfterCancelAndReplaceIncreaseQty.java
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/discountsandpromotions/I47393_VerifyDiscountWithCancelReplaceAndIncreaseQty.java
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/discountsandpromotions/I47394_VerifyPriceAdjustmentDiscountWithCancelAndReplaceAndIncreaseQty.java
---

- Issue History
Date Modified Username Field Change
2021-07-14 11:30 ferran_nicasi New Issue
2021-07-14 11:30 ferran_nicasi Assigned To => Retail
2021-07-14 11:30 ferran_nicasi Triggers an Emergency Pack => No
2021-07-15 09:38 rafademiguel Resolution time => 1627423200
2021-07-16 07:52 prakashmurugesan88 Assigned To Retail => prakashmurugesan88
2021-07-16 07:52 prakashmurugesan88 Status new => scheduled
2021-07-26 17:05 adrianromero Relationship added related to 0045655
2021-07-26 17:05 adrianromero Relationship deleted related to 0045655
2021-07-27 13:04 adrianromero Relationship added related to 0047394
2021-07-28 08:33 hgbot Note Added: 0130821
2021-07-28 08:33 hgbot Note Added: 0130822
2021-07-28 08:33 hgbot Note Added: 0130823
2021-07-29 12:04 hgbot Resolution open => fixed
2021-07-29 12:04 hgbot Status scheduled => closed
2021-07-29 12:04 hgbot Note Added: 0130869
2021-07-29 12:04 hgbot Fixed in Version => RR21Q4
2021-07-29 12:04 hgbot Note Added: 0130870
2021-07-29 12:05 hgbot Note Added: 0130871
2021-07-29 12:05 hgbot Note Added: 0130872
2021-07-29 12:05 hgbot Note Added: 0130873
2021-07-29 12:05 hgbot Note Added: 0130874
2021-07-29 12:07 adrianromero Relationship replaced has duplicate 0047394
2021-07-29 13:12 ferran_nicasi version => RR20Q1
2021-08-02 15:20 prakashmurugesan88 File Added: I47394_DiscountDuplicateIssue20Q1.diff
2021-08-04 12:47 dmiguelez Relationship added related to 0047483
2021-09-13 09:47 marvintm Status closed => new
2021-09-13 09:47 marvintm Resolution fixed => open
2021-09-13 09:47 marvintm Fixed in Version RR21Q4 =>
2021-09-13 09:47 marvintm Status new => scheduled
2021-09-13 09:47 marvintm Status scheduled => resolved
2021-09-13 09:47 marvintm Fixed in Version => RR21Q4
2021-09-13 09:47 marvintm Resolution open => fixed
2021-09-13 09:47 marvintm Review Assigned To => adrianromero
2021-09-13 09:47 marvintm Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker